Security Enhanced Linux Reference Policy

# Layer: services

## Module: networkmanager

Interfaces

### Description:

Manager for dynamically switching between networks.

### Interfaces:

networkmanager_dbus_chat( domain )

##### Summary

Send and receive messages from NetworkManager over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

networkmanager_domtrans( domain )

##### Summary

Execute NetworkManager with a domain transition.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

networkmanager_read_pid_files( domain )

##### Summary

Read NetworkManager PID files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

networkmanager_rw_packet_sockets( domain )

##### Summary

Read and write NetworkManager packet sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

networkmanager_rw_routing_sockets( domain )

##### Summary

Read and write NetworkManager netlink routing sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

networkmanager_rw_udp_sockets( domain )

##### Summary

Read and write NetworkManager UDP sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

networkmanager_signal( domain )

##### Summary

Send a generic signal to NetworkManager

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return